|  | Home · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# Obsolete Members for QDir

The following class members are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

- QDir class reference

### Public Functions

- QDir & operator= ( const QString & path ) `(obsolete)`

## Member Function Documentation

### QDir & QDir::operator= ( const QString & path )

This is an overloaded member function, provided for convenience. It behaves essentially like the above function.

Sets the directory path to the given path.

Use setPath() instead.